"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ElasticsearchServiceClient_1 = require("./ElasticsearchServiceClient");
var AddTagsCommand_1 = require("./commands/AddTagsCommand");
var CancelElasticsearchServiceSoftwareUpdateCommand_1 = require("./commands/CancelElasticsearchServiceSoftwareUpdateCommand");
var CreateElasticsearchDomainCommand_1 = require("./commands/CreateElasticsearchDomainCommand");
var DeleteElasticsearchDomainCommand_1 = require("./commands/DeleteElasticsearchDomainCommand");
var DeleteElasticsearchServiceRoleCommand_1 = require("./commands/DeleteElasticsearchServiceRoleCommand");
var DescribeElasticsearchDomainCommand_1 = require("./commands/DescribeElasticsearchDomainCommand");
var DescribeElasticsearchDomainConfigCommand_1 = require("./commands/DescribeElasticsearchDomainConfigCommand");
var DescribeElasticsearchDomainsCommand_1 = require("./commands/DescribeElasticsearchDomainsCommand");
var DescribeElasticsearchInstanceTypeLimitsCommand_1 = require("./commands/DescribeElasticsearchInstanceTypeLimitsCommand");
var DescribeReservedElasticsearchInstanceOfferingsCommand_1 = require("./commands/DescribeReservedElasticsearchInstanceOfferingsCommand");
var DescribeReservedElasticsearchInstancesCommand_1 = require("./commands/DescribeReservedElasticsearchInstancesCommand");
var GetCompatibleElasticsearchVersionsCommand_1 = require("./commands/GetCompatibleElasticsearchVersionsCommand");
var GetUpgradeHistoryCommand_1 = require("./commands/GetUpgradeHistoryCommand");
var GetUpgradeStatusCommand_1 = require("./commands/GetUpgradeStatusCommand");
var ListDomainNamesCommand_1 = require("./commands/ListDomainNamesCommand");
var ListElasticsearchInstanceTypesCommand_1 = require("./commands/ListElasticsearchInstanceTypesCommand");
var ListElasticsearchVersionsCommand_1 = require("./commands/ListElasticsearchVersionsCommand");
var ListTagsCommand_1 = require("./commands/ListTagsCommand");
var PurchaseReservedElasticsearchInstanceOfferingCommand_1 = require("./commands/PurchaseReservedElasticsearchInstanceOfferingCommand");
var RemoveTagsCommand_1 = require("./commands/RemoveTagsCommand");
var StartElasticsearchServiceSoftwareUpdateCommand_1 = require("./commands/StartElasticsearchServiceSoftwareUpdateCommand");
var UpdateElasticsearchDomainConfigCommand_1 = require("./commands/UpdateElasticsearchDomainConfigCommand");
var UpgradeElasticsearchDomainCommand_1 = require("./commands/UpgradeElasticsearchDomainCommand");
var ElasticsearchService = /** @class */ (function (_super) {
    tslib_1.__extends(ElasticsearchService, _super);
    function ElasticsearchService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ElasticsearchService.prototype.addTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AddTagsCommand_1.AddTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.cancelElasticsearchServiceSoftwareUpdate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CancelElasticsearchServiceSoftwareUpdateCommand_1.CancelElasticsearchServiceSoftwareUpdateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.createElasticsearchDomain = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateElasticsearchDomainCommand_1.CreateElasticsearchDomainCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.deleteElasticsearchDomain = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteElasticsearchDomainCommand_1.DeleteElasticsearchDomainCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.deleteElasticsearchServiceRole = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteElasticsearchServiceRoleCommand_1.DeleteElasticsearchServiceRoleCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.describeElasticsearchDomain = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeElasticsearchDomainCommand_1.DescribeElasticsearchDomainCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.describeElasticsearchDomainConfig = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeElasticsearchDomainConfigCommand_1.DescribeElasticsearchDomainConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.describeElasticsearchDomains = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeElasticsearchDomainsCommand_1.DescribeElasticsearchDomainsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.describeElasticsearchInstanceTypeLimits = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeElasticsearchInstanceTypeLimitsCommand_1.DescribeElasticsearchInstanceTypeLimitsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.describeReservedElasticsearchInstanceOfferings = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeReservedElasticsearchInstanceOfferingsCommand_1.DescribeReservedElasticsearchInstanceOfferingsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.describeReservedElasticsearchInstances = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeReservedElasticsearchInstancesCommand_1.DescribeReservedElasticsearchInstancesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.getCompatibleElasticsearchVersions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetCompatibleElasticsearchVersionsCommand_1.GetCompatibleElasticsearchVersionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.getUpgradeHistory = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetUpgradeHistoryCommand_1.GetUpgradeHistoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.getUpgradeStatus = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetUpgradeStatusCommand_1.GetUpgradeStatusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.listDomainNames = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListDomainNamesCommand_1.ListDomainNamesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.listElasticsearchInstanceTypes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListElasticsearchInstanceTypesCommand_1.ListElasticsearchInstanceTypesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.listElasticsearchVersions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListElasticsearchVersionsCommand_1.ListElasticsearchVersionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.listTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsCommand_1.ListTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.purchaseReservedElasticsearchInstanceOffering = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PurchaseReservedElasticsearchInstanceOfferingCommand_1.PurchaseReservedElasticsearchInstanceOfferingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.removeTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RemoveTagsCommand_1.RemoveTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.startElasticsearchServiceSoftwareUpdate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartElasticsearchServiceSoftwareUpdateCommand_1.StartElasticsearchServiceSoftwareUpdateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.updateElasticsearchDomainConfig = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateElasticsearchDomainConfigCommand_1.UpdateElasticsearchDomainConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ElasticsearchService.prototype.upgradeElasticsearchDomain = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpgradeElasticsearchDomainCommand_1.UpgradeElasticsearchDomainCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return ElasticsearchService;
}(ElasticsearchServiceClient_1.ElasticsearchServiceClient));
exports.ElasticsearchService = ElasticsearchService;
//# sourceMappingURL=ElasticsearchService.js.map