"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeElasticsearchDomainConfig_1 = require("../model/operations/DescribeElasticsearchDomainConfig");
var DescribeElasticsearchDomainConfigCommand = /** @class */ (function () {
    function DescribeElasticsearchDomainConfigCommand(input) {
        this.input = input;
        this.model = DescribeElasticsearchDomainConfig_1.DescribeElasticsearchDomainConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeElasticsearchDomainConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeElasticsearchDomainConfigCommand;
}());
exports.DescribeElasticsearchDomainConfigCommand = DescribeElasticsearchDomainConfigCommand;
//# sourceMappingURL=DescribeElasticsearchDomainConfigCommand.js.map