"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeElasticsearchDomains_1 = require("../model/operations/DescribeElasticsearchDomains");
var DescribeElasticsearchDomainsCommand = /** @class */ (function () {
    function DescribeElasticsearchDomainsCommand(input) {
        this.input = input;
        this.model = DescribeElasticsearchDomains_1.DescribeElasticsearchDomains;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeElasticsearchDomainsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeElasticsearchDomainsCommand;
}());
exports.DescribeElasticsearchDomainsCommand = DescribeElasticsearchDomainsCommand;
//# sourceMappingURL=DescribeElasticsearchDomainsCommand.js.map