"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ElasticsearchClusterConfig_1 = require("./_ElasticsearchClusterConfig");
var _EBSOptions_1 = require("./_EBSOptions");
var _SnapshotOptions_1 = require("./_SnapshotOptions");
var _VPCOptions_1 = require("./_VPCOptions");
var _CognitoOptions_1 = require("./_CognitoOptions");
var _EncryptionAtRestOptions_1 = require("./_EncryptionAtRestOptions");
var _NodeToNodeEncryptionOptions_1 = require("./_NodeToNodeEncryptionOptions");
var _AdvancedOptions_1 = require("./_AdvancedOptions");
var _LogPublishingOptions_1 = require("./_LogPublishingOptions");
exports.CreateElasticsearchDomainInput = {
    type: "structure",
    required: ["DomainName"],
    members: {
        DomainName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        ElasticsearchVersion: {
            shape: {
                type: "string"
            }
        },
        ElasticsearchClusterConfig: {
            shape: _ElasticsearchClusterConfig_1._ElasticsearchClusterConfig
        },
        EBSOptions: {
            shape: _EBSOptions_1._EBSOptions
        },
        AccessPolicies: {
            shape: {
                type: "string"
            }
        },
        SnapshotOptions: {
            shape: _SnapshotOptions_1._SnapshotOptions
        },
        VPCOptions: {
            shape: _VPCOptions_1._VPCOptions
        },
        CognitoOptions: {
            shape: _CognitoOptions_1._CognitoOptions
        },
        EncryptionAtRestOptions: {
            shape: _EncryptionAtRestOptions_1._EncryptionAtRestOptions
        },
        NodeToNodeEncryptionOptions: {
            shape: _NodeToNodeEncryptionOptions_1._NodeToNodeEncryptionOptions
        },
        AdvancedOptions: {
            shape: _AdvancedOptions_1._AdvancedOptions
        },
        LogPublishingOptions: {
            shape: _LogPublishingOptions_1._LogPublishingOptions
        }
    }
};
//# sourceMappingURL=CreateElasticsearchDomainInput.js.map